// **********************************************************************
//                             Lode Runner
//                        ---------------------
//
//  File        : Application.cpp
//  Description : Application main class
//  Author      : Guillaume Delhumeau <guillaume.delhumeau@gmail.com>
//  License     : GNU General Public License 3
//
// **********************************************************************

#ifndef _APPLICATION_H_
#define _APPLICATION_H_

#include <ClanLib/core.h>
#include <ClanLib/application.h>
#include <ClanLib/gui.h>
#include <ClanLib/display.h>
#include <ClanLib/gl.h>

class Application{

public:

	Application();

	int main(const std::vector<CL_String> &args);

private:

	CL_SetupCore _setup_core;

	CL_SetupDisplay _setup_display;	

	CL_SetupGL _setup_gl;

	CL_SetupGUI _setup_gui;

	CL_GUIManager _gui;

	CL_GUIWindowManagerSystem _wm;

	CL_ResourceManager _gui_resources;

	CL_GUIThemeDefault _gui_theme;


	void init();

	void term();

	bool check_args(const std::vector<CL_String> &args);

	void print_help();

	void print_license();

};

#endif
