// **********************************************************************
//                             Lode Runner
//                        ---------------------
//
//  File        : Game.h
//  Description : 
//  Author      : Guillaume Delhumeau <guillaume.delhumeau@gmail.com>
//  License     : GNU General Public License 3
//
// **********************************************************************

#ifndef _GAME_H_
#define _GAME_H_

#include <stack>
#include <ClanLib/gui.h>
#include "IGameMode.h"
#include "LevelEditorMode.h"
#include "ZoomParameters.h"

class Game : public CL_Window
{

public:

	/** Constructor */
	Game(CL_GUIManager * p_manager, const CL_DisplayWindowDescription &desc);

private:	

	CL_PushButton * button;

	unsigned int _last_frame_time;

	float _delta_time;

	ZoomParameters _zoom;

	std::stack<IGameMode*> _game_modes_stack;

	LevelEditorMode _level_editor_mode;

	bool _is_init;

	void _init(CL_GraphicContext &gc);

	void _on_render(CL_GraphicContext &gc, const CL_Rect &clip_rect);

	bool _on_close();	

};

#endif