// **********************************************************************
//                             Lode Runner
//                        ---------------------
//
//  File        : IGameMode.h
//  Description : 
//  Author      : Guillaume Delhumeau <guillaume.delhumeau@gmail.com>
//  License     : GNU General Public License 3
//
// **********************************************************************

#ifndef _I_GAME_MODE_H_
#define _I_GAME_MODE_H_

#include <ClanLib/display.h>
#include "ZoomParameters.h"

class IGameMode{

public:

	virtual void load_graphics(CL_GraphicContext & gc) = 0;
	
	virtual void draw(CL_GraphicContext & gc) = 0;

	virtual void events(CL_InputContext & ic, ZoomParameters & zoom) = 0;

	virtual void update(float delta_time) = 0;

};

#endif