// **********************************************************************
//                             Lode Runner
//                        ---------------------
//
//  File        : Level.h
//  Description : 
//  Author      : Guillaume Delhumeau <guillaume.delhumeau@gmail.com>
//  License     : GNU General Public License 3
//
// **********************************************************************

#ifndef _LEVEL_H_
#define _LEVEL_H_

#include <vector>
#include <ClanLib/display.h>
#include "Block.h"

/** Level class */
class Level{

public:

	static const int NB_COLS = 20;

	static const int NB_ROWS = 15;

	static const int BLOCK_SIZE = 40;

	Level();
	
	~Level();

	inline Block* get_block(int x, int y){ return _level[x+y*NB_COLS]; }

	inline void set_block(int x, int y, Block * p_block){ _level[x+y*NB_COLS] = p_block; }

	void draw(CL_GraphicContext & gc);

private:

	std::vector<Block*> _level;

};

#endif
