// **********************************************************************
//                             Lode Runner
//                        ---------------------
//
//  File        : LevelEditorMode.h
//  Description : 
//  Author      : Guillaume Delhumeau <guillaume.delhumeau@gmail.com>
//  License     : GNU General Public License 3
//
// **********************************************************************

#ifndef _LEVEL_EDITOR_MODE_H_
#define _LEVEL_EDITOR_MODE_H_

#include "IGameMode.h"
#include "Level.h"
#include "LevelResources.h"
#include "SelectorMenu.h"

class LevelEditorMode : public IGameMode{

public:

	/** Constructor */
	LevelEditorMode();

	/** Destructor */
	~LevelEditorMode();

	virtual void load_graphics(CL_GraphicContext & gc);
	
	virtual void draw(CL_GraphicContext & gc);

	virtual void events(CL_InputContext & ic, ZoomParameters & zoom);

	virtual void update(float delta_time);

private:

	Level * _p_level;

	LevelResources _resources;

	SelectorMenu _selector_menu;

};

#endif

