// **********************************************************************
//                             Lode Runner
//                        ---------------------
//
//  File        : LevelResources.cpp
//  Description : 
//  Author      : Guillaume Delhumeau <guillaume.delhumeau@gmail.com>
//  License     : GNU General Public License 3
//
// **********************************************************************

#include "LevelResources.h"
#include <ClanLib/core.h>

/************************************************************************/
/* Constructor                                                          */
/************************************************************************/
LevelResources::LevelResources()
{

}

/************************************************************************/
/* Load Theme                                                           */
/************************************************************************/
void LevelResources::load_theme(std::string filename, CL_GraphicContext & gc)
{
	// Making virtual file systems
	CL_VirtualFileSystem vfs(filename, true);
	CL_VirtualDirectory vd(vfs, "./");	
	CL_ResourceManager resources("theme.xml",vd);

	// Loading sprites
	_wall_sprite = CL_Sprite(gc, "sprites/wall", &resources);
	_wall2_sprite = CL_Sprite(gc, "sprites/wall2", &resources);
	_scale_sprite = CL_Sprite(gc, "sprites/scale", &resources);
	_rope_sprite = CL_Sprite(gc, "sprites/rope", &resources);
	_breakable_sprite = CL_Sprite(gc, "sprites/breakable", &resources);
	_loot_sprite = CL_Sprite(gc, "sprites/loot", &resources);
	_end_sprite = CL_Sprite(gc, "sprites/end", &resources);
}