// **********************************************************************
//                             Lode Runner
//                        ---------------------
//
//  File        : LevelResources.h
//  Description : 
//  Author      : Guillaume Delhumeau <guillaume.delhumeau@gmail.com>
//  License     : GNU General Public License 3
//
// **********************************************************************

#ifndef _LEVEL_RESOURCES_H_
#define _LEVEL_RESOURCES_H_

#include <ClanLib/display.h>

class LevelResources{

public:

	LevelResources();

	void load_theme(std::string filename, CL_GraphicContext & gc);

	inline CL_Sprite & get_background(){ return _background; }

	inline CL_Sprite & get_wall_sprite(){ return _wall_sprite; }

	inline CL_Sprite & get_wall2_sprite(){ return _wall2_sprite; }

	inline CL_Sprite & get_scale_sprite(){ return _scale_sprite; }

	inline CL_Sprite & get_breakable_sprite(){ return _breakable_sprite; }

	inline CL_Sprite & get_rope_sprite(){ return _rope_sprite; }

	inline CL_Sprite & get_final_scale_sprite(){ return _final_scale_sprite; }

	inline CL_Sprite & get_loot_sprite(){ return _loot_sprite; }

	inline CL_Sprite & get_end_sprite(){ return _end_sprite; }

private:

	CL_Sprite _background;

	CL_Sprite _wall_sprite;

	CL_Sprite _wall2_sprite;

	CL_Sprite _scale_sprite;

	CL_Sprite _breakable_sprite;

	CL_Sprite _rope_sprite;

	CL_Sprite _final_scale_sprite;

	CL_Sprite _loot_sprite;

	CL_Sprite _end_sprite;

};

#endif