// **********************************************************************
//                             Lode Runner
//                        ---------------------
//
//  File        : SelectorMenu.h
//  Description : 
//  Author      : Guillaume Delhumeau <guillaume.delhumeau@gmail.com>
//  License     : GNU General Public License 3
//
// **********************************************************************

#ifndef _SELECTOR_MENU_H_
#define _SELECTOR_MENU_H_

#include "LevelResources.h"
#include "ZoomParameters.h"

class SelectorMenu{

public:

	enum SelectionItem{
		SELECTION_BREAKABLE = 0,
		SELECTION_WALL,
		SELECTION_WALL_2,
		SELECTION_SCALE,
		SELECTION_ROPE,		
		SELECTION_LOOT,	
		SELECTION_END,	

		NB_ITEMS
	};

	static const int MENU_HEIGHT = 50;

	SelectorMenu(LevelResources & resources);

	void draw(CL_GraphicContext & gc);

	void update(float delta_time);

	bool events(CL_InputContext & ic, ZoomParameters & zoom);

	inline SelectionItem get_selection() const { return _selection; }

private:

	enum State{
		STATE_APPEARING,
		STATE_NORMAL,
		STATE_DISAPPEARING,
		STATE_HIDDEN
	};

	State _state;

	unsigned int _items_x[NB_ITEMS];

	SelectionItem _selection;

	LevelResources & _resources;

	float _y;

};

#endif