// **********************************************************************
//                            Project Nitro
//                        ---------------------
//
//  File        : Tools.h
//  Description : Tools
//  Author      : Guillaume Delhumeau <guillaume.delhumeau@gmail.com>
//  License     : GNU General Public License 3
//
// **********************************************************************

#ifndef _TOOLS_H_
#define _TOOLS_H_

#include <string>
#include <sstream>  

void my_assert_fun(const char* file, const unsigned long line, bool test, std::string message);

#ifdef DEBUG
#define my_assert(test, message) my_assert_fun (__FILE__, __LINE__, test, message)
#else
#define my_assert(a,b)
#endif

/************************************************************************/
/* Maths functions                                                      */
/************************************************************************/
#ifndef WIN32
inline float abs(float a)
{
	return a >= 0 ? a : -a;
}
#endif

/************************************************************************/
/* String functions                                                     */
/************************************************************************/
template<typename T>
inline std::string to_string( const T & Value )
{
	std::ostringstream oss;
	oss << Value;
	return oss.str();
}

/************************************************************************/
/* Min function                                                         */
/************************************************************************/
template<typename T>
inline T min(const T a, const T b)
{
	return a < b ? a : b;
}


#endif
